# WoopsiUI::WindowBorderBottom Class Reference

`#include <windowborderbottom.h>`

Inheritance diagram for WoopsiUI::WindowBorderBottom:

List of all members.

## Public Member Functions
| WindowBorderBottom (s16 x, s16 y, u16 width, u16 height, u8 sideBorderSize)
virtual void | draw (Rect clipRect)
virtual bool | focus ()
virtual bool | blur ()
## Protected Member Functions
virtual | ~WindowBorderBottom ()
| WindowBorderBottom (const WindowBorderBottom &windowBorderBottom)
## Protected Attributes
u8 | _sideBorderSize

## Detailed Description

Class providing a gadget that mimics the appearance of the AmigaOS 3.x window bottom border. Forms part of the AmigaWindow gadget.

## Constructor & Destructor Documentation

WindowBorderBottom::WindowBorderBottom | ( | s16 | x,
|  | s16 | y,
|  | u16 | width,
|  | u16 | height,
|  | u8 | sideBorderSize |
| ) |  |  |

Constructor.

Parameters:

  | x | The x co-ordinate of the gadget.
  | y | The y co-ordinate of the gadget.
  | width | The width of the gadget.
  | height | The height of the gadget.
  | sideBorderSize | The width of the borders on either side of the gadget. This is required so that the border can draw its bevelled top correctly.

virtual WoopsiUI::WindowBorderBottom::~WindowBorderBottom | ( |  | ) | `[inline, protected, virtual]`

Destructor.

WoopsiUI::WindowBorderBottom::WindowBorderBottom | ( | const WindowBorderBottom & | windowBorderBottom | ) | `[inline, protected]`

Copy constructor is protected to prevent usage.

## Member Function Documentation

bool WindowBorderBottom::blur | ( |  | ) | `[virtual]`

Remove focus from the gadget.

Returns:
  True if the gadget lost focus correctly.

Reimplemented from WoopsiUI::Gadget.

void WindowBorderBottom::draw | ( | Rect | clipRect | ) | `[virtual]`

Draw the area of this gadget that falls within the clipping region. Called by the draw() function to draw all visible regions.

Parameters:

  | clipRect | The clipping region to draw.

See also:
  draw()

Reimplemented from WoopsiUI::Gadget.

Reimplemented in WoopsiUI::SkinnedWindowBorderBottom.

bool WindowBorderBottom::focus | ( |  | ) | `[virtual]`

Give the gadget focus.

Returns:
  True if the gadget received focus correctly.

Reimplemented from WoopsiUI::Gadget.

## Member Data Documentation

u8 WoopsiUI::WindowBorderBottom::_sideBorderSize`[protected]`

Width of the windw's side border

The documentation for this class was generated from the following files:

- C:/Documents and Settings/Administrator/Desktop/woopsi-src-0.39/Woopsi/woopsi/windowborderbottom.h
- C:/Documents and Settings/Administrator/Desktop/woopsi-src-0.39/Woopsi/woopsi/windowborderbottom.cpp

All Classes Functions Variables Enumerations Enumerator